Is PG5 1.4 compatible with Microsoft Windows Vista, Windows 7 and Windows 8?

FAQ #100710

Yes, PG5 1.4 is compatible with Microsoft Windows Vista , Windows Server 2008, Windows 7 and Windows 8 (with the exception that the BACnet Configurator is only supporting the 32bit versions of the above mentioned Operating Systems). But there are some special points to consider for the installation of PG5 1.4 as Windows Vista / Server 2008 / 7 / 8 is more restrictive (compared to e.g. Windows XP) regarding the write access during the installation.

 

Installation procedure
For a detailled report regarding the found issues during the intallation of PG5 1.4 under Windows Vista, Windows 7 and Windows 8 and the procedure to correctly install PG5, please refer to the PG5 section on the support site.
You can find the link to the PG5 section below.

Remark regarding 64-bit version of Vista, Windows 7 and Windows 8


The PG5 1.4.300 was developed before Windows 7 or Vista have been available. In order to use PG5 1.4 on these operating systems, the USB driver needs to be updated (explained in detail in the attached document).

  • The BACnet Configurator from PG5 1.4 is not compatible to the 64bit version of Windows7

FAQ update (March 2012)

  • The BACnet Configurator from PG5 1.4 is not compatible to the 64bit version of Windows7

FAQ update (January 2011)

  • A step by step installation guide can now be found attached to this FAQ (updated January 2011). 
  • A new USB driver compatible with the 64 bit version of Vista / Windows 7 has been developed. This new USB driver can be downloaded from the support site (from the PG5 1.4 Suite section).
  • Internal tests have shown that for installing PG5 1.4 300 on a Windows Server 2008 the same operations have to be followed as for an installation on Windows Vista. 

Categories

PG5 1.x

Last update: 01.06.2015 06:42

First release: 20.04.2007 11:57

Views: 75227

The requested software / document is no longer marketed by Saia-Burgess Controls AG and without technical support. It is an older software version which can be operated only on certain now no longer commercially available products.

Download